ZITADEL Docs
APIsCore ResourcesV1Organization Objects

Add Project Grant Member

Deprecated: use CreateAdministrator instead.

Members are users with permission to administrate Zitadel on different levels. This request returns all users with memberships on the project grant level, matching the search queries. The search queries will be AND linked.

POST
/projects/{project_id}/grants/{grant_id}/members

Path Parameters

project_id*string
grant_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://loading/projects/string/grants/string/members" \  -H "Content-Type: application/json" \  -d '{    "userId": "string"  }'
{
  "details": {
    "sequence": 0,
    "creationDate": "2023-01-15T01:30:15.01Z",
    "changeDate": "2023-01-15T01:30:15.01Z",
    "resourceOwner": "string"
  }
}

Was this page helpful?